Index: org/postgresql/jdbc1/DatabaseMetaData.java
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc1/DatabaseMetaData.java,v
retrieving revision 1.26
diff -c -r1.26 DatabaseMetaData.java
*** org/postgresql/jdbc1/DatabaseMetaData.java	2001/08/17 14:46:22	1.26
--- org/postgresql/jdbc1/DatabaseMetaData.java	2001/08/17 19:54:33
***************
*** 8,13 ****
--- 8,14 ----
  import java.sql.*;
  import java.util.*;
  import org.postgresql.Field;
+ import org.postgresql.util.PSQLException;
  
  /**
   * This class provides information about the database as a whole.
***************
*** 2068,2073 ****
--- 2069,2076 ----
     * Get a description of the access rights for each table available
     * in a catalog.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Only privileges matching the schema and table name
     * criteria are returned.  They are ordered by TABLE_SCHEM,
     * TABLE_NAME, and PRIVILEGE.
***************
*** 2095,2102 ****
     */
    public java.sql.ResultSet getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2098,2104 ----
     */
    public java.sql.ResultSet getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern) throws SQLException
    {
!       throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2158,2163 ****
--- 2160,2167 ----
     * updated when any value in a row is updated.  They are
     * unordered.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Each column description has the following columns:
     *  <OL>
     *	<LI><B>SCOPE</B> short => is not used
***************
*** 2183,2190 ****
     */
   public java.sql.ResultSet getVersionColumns(String catalog, String schema, String table) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2187,2193 ----
     */
   public java.sql.ResultSet getVersionColumns(String catalog, String schema, String table) throws SQLException
    {
!       throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2396,2401 ****
--- 2399,2406 ----
     * table).  They are ordered by FKTABLE_CAT, FKTABLE_SCHEM,
     * FKTABLE_NAME, and KEY_SEQ.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Each foreign key column description has the following columns:
     *  <OL>
     *	<LI><B>PKTABLE_CAT</B> String => primary key table catalog (may be null)
***************
*** 2443,2450 ****
     */
    public java.sql.ResultSet getExportedKeys(String catalog, String schema, String table) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2448,2454 ----
     */
    public java.sql.ResultSet getExportedKeys(String catalog, String schema, String table) throws SQLException
    {
!       throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2456,2461 ****
--- 2460,2467 ----
     * are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and
     * KEY_SEQ.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Each foreign key column description has the following columns:
     *  <OL>
     *	<LI><B>PKTABLE_CAT</B> String => primary key table catalog (may be null)
***************
*** 2503,2510 ****
     */
    public java.sql.ResultSet getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2509,2515 ----
     */
    public java.sql.ResultSet getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable) throws SQLException
    {
!       throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2609,2615 ****
        return new ResultSet(connection, f, v, "OK", 1);
      }
  
!     return null;
    }
  
    /**
--- 2614,2620 ----
        return new ResultSet(connection, f, v, "OK", 1);
      }
  
!     throw new PSQLException("metadata unavailable");
    }
  
    /**
Index: org/postgresql/jdbc2/DatabaseMetaData.java
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/interfaces/jdbc/org/postgresql/jdbc2/DatabaseMetaData.java,v
retrieving revision 1.29
diff -c -r1.29 DatabaseMetaData.java
*** org/postgresql/jdbc2/DatabaseMetaData.java	2001/08/17 14:46:22	1.29
--- org/postgresql/jdbc2/DatabaseMetaData.java	2001/08/17 19:54:34
***************
*** 8,13 ****
--- 8,14 ----
  import java.sql.*;
  import java.util.*;
  import org.postgresql.Field;
+ import org.postgresql.util.PSQLException;
  
  /**
   * This class provides information about the database as a whole.
***************
*** 2069,2074 ****
--- 2070,2077 ----
     * Get a description of the access rights for each table available
     * in a catalog.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Only privileges matching the schema and table name
     * criteria are returned.  They are ordered by TABLE_SCHEM,
     * TABLE_NAME, and PRIVILEGE.
***************
*** 2096,2109 ****
     */
    public java.sql.ResultSet getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
     * Get a description of a table's optimal set of columns that
     * uniquely identifies a row. They are ordered by SCOPE.
     *
     * <P>Each column description has the following columns:
     *  <OL>
     *	<LI><B>SCOPE</B> short => actual scope of result
--- 2099,2113 ----
     */
    public java.sql.ResultSet getTablePrivileges(String catalog, String schemaPattern, String tableNamePattern) throws SQLException
    {
!     throw org.postgresql.Driver.notImplemented();
    }
  
    /**
     * Get a description of a table's optimal set of columns that
     * uniquely identifies a row. They are ordered by SCOPE.
     *
+    * This method is currently not implemented.
+    *
     * <P>Each column description has the following columns:
     *  <OL>
     *	<LI><B>SCOPE</B> short => actual scope of result
***************
*** 2159,2164 ****
--- 2163,2170 ----
     * updated when any value in a row is updated.  They are
     * unordered.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Each column description has the following columns:
     *  <OL>
     *	<LI><B>SCOPE</B> short => is not used
***************
*** 2184,2191 ****
     */
   public java.sql.ResultSet getVersionColumns(String catalog, String schema, String table) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2190,2196 ----
     */
   public java.sql.ResultSet getVersionColumns(String catalog, String schema, String table) throws SQLException
    {
!     throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2398,2403 ****
--- 2403,2410 ----
     * table).  They are ordered by FKTABLE_CAT, FKTABLE_SCHEM,
     * FKTABLE_NAME, and KEY_SEQ.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Each foreign key column description has the following columns:
     *  <OL>
     *	<LI><B>PKTABLE_CAT</B> String => primary key table catalog (may be null)
***************
*** 2445,2452 ****
     */
    public java.sql.ResultSet getExportedKeys(String catalog, String schema, String table) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2452,2458 ----
     */
    public java.sql.ResultSet getExportedKeys(String catalog, String schema, String table) throws SQLException
    {
!     throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2458,2463 ****
--- 2464,2471 ----
     * are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and
     * KEY_SEQ.
     *
+    * This method is currently unimplemented.
+    *
     * <P>Each foreign key column description has the following columns:
     *  <OL>
     *	<LI><B>PKTABLE_CAT</B> String => primary key table catalog (may be null)
***************
*** 2505,2512 ****
     */
    public java.sql.ResultSet getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable) throws SQLException
    {
!     // XXX-Not Implemented
!     return null;
    }
  
    /**
--- 2513,2519 ----
     */
    public java.sql.ResultSet getCrossReference(String primaryCatalog, String primarySchema, String primaryTable, String foreignCatalog, String foreignSchema, String foreignTable) throws SQLException
    {
!     throw org.postgresql.Driver.notImplemented();
    }
  
    /**
***************
*** 2611,2617 ****
        return new ResultSet(connection, f, v, "OK", 1);
      }
  
!     return null;
    }
  
    /**
--- 2618,2624 ----
        return new ResultSet(connection, f, v, "OK", 1);
      }
  
!     throw new PSQLException("metadata unavailable");
    }
  
    /**
